Subject: bug#68439: icewm do not install MO files.

From: Andy Tai <[email-masked]>
Date: Sun, 14 Jan 2024 22:17:26 -0800

I remember that was left over and kept from previous patches. If they
are not rebuilt there is a bug

I will remove these lines in the next update to the next version,
unless there is objection.

On Sat, Jan 13, 2024 at 7:08 PM Feng Shu <[email-masked]> wrote:
>
>
> Hello:
>
> At the moment: icewm do not install MO files to
> 'share/locale/<lang>/LC_MESSAGES', gmo files in tarball are removed, but
> do not re-generated, I try to add gettext-minimul to inputs, but can not
> re-generate gmo files successfully.
>
> Any reason we should remove gmo files in tarball?
>
> ```
>                (add-after 'unpack 'remove-gmo-files
>                  ;; gmo files are generated from .po files
>                  ;; so remove them before build to make sure
>                  ;; they are re-generated if needed
>                  (lambda _
>                    (for-each delete-file
>                              (find-files "po" "\\.gmo$"))))
> ```
>
>
> --
>